import { NumericalOperation } from '../model/numerical-display/numerical-operation';
import { DataTypeService } from './data-type/data-type.service';
import { NumericalDisplay } from '../model';
export declare class NumericalOperationService {
    private readonly dataTypeService;
    constructor(dataTypeService: DataTypeService);
    getNumericalOperationedValue(model: any, value: any, fractionDigits: number): any;
    getNumericalOperations(model: NumericalDisplay): NumericalOperation;
    getWriteValue(version: number, value: string, option: NumericalOperation, dataType: number, fractionDigits: number): string;
    getWriteMaxValue(numericalUpperLimit: number, option: NumericalOperation): number;
    getWriteMinValue(numericalLowerLimit: number, option: NumericalOperation): number;
    toInteger(floatNum: number): {
        times: number;
        num: number;
    };
    isInteger(obj: any): boolean;
}
